%define ver	9
%define rel	3

Name: locale-ja
Version: %ver
Release: %rel
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.debian.org/debian/dists/unstable/main/source/admin/locale-ja_%{ver}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/locale-ja-%{PACKAGE_VERSION}-root

Summary: Locale definition files for Japanese.
Summary(ja): ܸե

%description
This is an experimental and incorrect locale definition for Japanese
(ja_JP).  Since the GNU libc does not support the EUC encoding yet,
we cannot make a correct locale definition for it.

%description -l ja
ϼ¸Ūʤܸ(ja_JP)ǤEUC 󥳡ǥ
Ϥޤ GNU libc ǥݡȤƤʤΤǡΤ
򤹤뤳ȤǤޤ

%prep
%setup

%install
rm -rf $RPM_BUILD_ROOT
./mkinstalldirs $RPM_BUILD_ROOT/usr/share/locale/ja_JP/LC_MESSAGES
./mkinstalldirs $RPM_BUILD_ROOT/usr/share/locale/ja_JP.ujis/LC_MESSAGES
./mkinstalldirs $RPM_BUILD_ROOT/usr/share/locale/ja_JP.eucJP/LC_MESSAGES
localedef --repertoire-map=/usr/share/i18n/repertoiremaps/charids.894 -c -f charmaps/EUC-JP -i ja_JP $RPM_BUILD_ROOT/usr/share/locale/ja_JP
cd $RPM_BUILD_ROOT/usr/share/locale/ja_JP.ujis && for file in ../ja_JP/LC_*; do test -f $file && ln -s $file .; done
cd $RPM_BUILD_ROOT/usr/share/locale/ja_JP.ujis/LC_MESSAGES && ln -s ../../ja_JP/LC_MESSAGES/SYS_LC_MESSAGES .
cd $RPM_BUILD_ROOT/usr/share/locale/ja_JP.eucJP && for file in ../ja_JP/LC_*; do test -f $file && ln -s $file .; done
cd $RPM_BUILD_ROOT/usr/share/locale/ja_JP.eucJP/LC_MESSAGES && ln -s ../../ja_JP/LC_MESSAGES/SYS_LC_MESSAGES .

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep '^/usr/lib/gconv$' /etc/ld.so.conf > /dev/null 2>&1; then
  echo "/usr/lib/gconv" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%defattr(-, root, root)
/usr/share/locale/ja_JP/*
/usr/share/locale/ja_JP.ujis/*
/usr/share/locale/ja_JP.eucJP/*

%changelog
* Sat Mar 25 2000 Matt Wilson <msw@redhat.com>
- rebuilt with new localedef

* Wed Mar 22 2000 Chris Ding <cding@redhat.com>
- removed Group(ja). Group name won't be in Japanese.

* Thu Jan 13 2000 Chris Ding <cding@redhat.com>
- updated to 9

* Thu Oct 21 1999 Matt Wilson <msw@redhat.com>
- added post script to add the gconv directory to ld.so.conf.
  this allows suid/gid applications to get proper conversions.

* Wed Oct  6 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1

* Tue Apr 20 1999 Owen Taylor <otaylor@redhat.com>
- Initial version
